#pragma once

#include "barcode.h"

//laser datamatrix 
class BCR_API CLaserBarcode2d :	public CBarcode
{
public:
	CLaserBarcode2d(void);
	virtual ~CLaserBarcode2d(void);

	virtual BOOL   Serialize(HANDLE device, BOOL bIn ) ;
	virtual CUCObj* Clone(  CUCObj *twin) ;

	virtual int Read() ;

public:
	int    m_nEdgeError;   //边缘误差
	int    m_nBlockCount;  //方块数量(每边,两边相等) 

//下面为内部调式用
public:
	UINT*   m_pProjArray;
	int     m_nArraySize;
	RvImage m_imBarcode;
protected:
	 
	RvImage GenNormalBarcodeImage(const RvImage image, RvBox2D box, double scale );
};

